UNW\_GET\_ACCESSORS(3)

NAME
unw_get_accessors -- get pointer to accessor call-backs

SYNOPSIS

#include <libunwind.h>

unw_accessors_t *unw_get_accessors(unw_addr_space_t as);

DESCRIPTION

The unw_get_accessors() routine returns a pointer to a unw_accessors_t structure, which contains the call-back routines that were specified when address space as was created (see unw_create_addr_space(3)). The returned pointer is guaranteed to remain valid until address space as is destroyed by a call to unw_destroy_addr_space(3).

Note that unw_get_accessors() can be used to retrieve the call-back routines for the local address space unw_local_addr_space.

RETURN VALUE

The unw_get_accessors() routine cannot fail and always returns a valid (non-NULL) pointer to an unw_accessors_t structure.

THREAD AND SIGNAL SAFETY

The unw_get_accessors() routine is thread-safe as well as safe to use from a signal handler.

SEE ALSO

libunwind(3), unw_create_addr_space(3), unw_destroy_addr_space(3)

AUTHOR

David Mosberger-Tang
Email: dmosberger@gmail.com
WWW: http://www.nongnu.org/libunwind/.